# Class: Comment

Defined in: | node_modules/grunt-codo/node_modules/codo/node_modules/haml-coffee/src/nodes/comment.coffee
Inherits: | Node

## Overview

Comment node for silent code blocks or pure Haml comments.

Comments nodes can be silent, so they swallow all the children output.

### Examples:

#### silent code block

    -# silent
      code comment

#### Haml comment

    / This is a comment

#### Haml conditional comment

    /[if IE]

## Variables Summary

### Variable inherited from Node

CLEAR_WHITESPACE_LEFT CLEAR_WHITESPACE_RIGHT

## Instance Method Summary

- # (void) evaluate() Evaluate the Haml comments

## Inherited Method Summary

### Methods inherited from Node

#addChild #getOpener #getCloser #isPreserved #isCommented #markText #markRunningCode #markInsertingCode #evaluate #render

## Instance Method Details

# (void) evaluate()

Evaluate the Haml comments

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input